

module Utils

  # Getter for the path option
  def path()
    @options.path
  end
  
  def result()
    @options.result
  end
  
  # Getter for the result option
  def pdf_tool()
    @options.pdf_tool
  end
  
  # Getter for the max_level option
  def max_level()
    @options.max_level
  end
  
  # Getter for the continuous option
  def continuous()
    @options.continuous
  end
  
  # Getter for the omit option
  def omit()
    @options.omit
  end
  
  # Getter for the skip option
  def skip()
    @options.skip
  end
  
  # Getter for the strip option
  def strip()
    @options.strip
  end
  
  # Use the strip option to strip from the beginning
  def strip_from_title( title )
    regex = Regexp.new( strip().source + /(.*?$)/.source )              # concatenate 2 regexes
    title[regex, 1]                                                     # strip from the beginning    
  end
  
  # Can be used to change the extension of a file path
  def change_extension( path, ext )
    base = File.basename(path, '.*')
    dir = File.dirname(path)
    File.join( dir, base + ext )
  end
  
end
